Subject: Re: bug#7747: Please put current file name in the prompt for rename-file

From: Lennart Borgman <[email-masked]>
Date: Sun, 2 Jan 2011 03:28:12 +0100

Stefan wrote:

> IIUC you just want minibuffer input's default value to be inserted in
> the minibuffer (and selected so that `delete' or `backspace' gets you rid
> of it) rather than starting with an empty minibuffer and letting the
> user bring in the default with M-n if she wants it.
>
> The way I see such a thing happening is by changing calls to
> completing-read (and derivatives) to use a new function which can behave
> either way (e.g. it takes a `prompt' and a `default' arg but no
> `initial' arg, and the `prompt' doesn't include the default in it,
> instead the function will take care to add it to the prompt if/when
> needed).

Yes, sorry for the confusion. This is what I meant.

I think this is a much better UI than the current implementation to
handle default values.